Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
2031::/16
First address
2031::
Last address
2031:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
2031:0000:0000:0000:0000:0000:0000:0000
Type
Global unicast 2000::/3
Public internet addresses
Reverse DNS zone
1.3.0.2.ip6.arpa
Split into smaller subnets/28

2031::/16 makes 4,096 subnets of /28; the first 256 are listed.

Subnets
#SubnetLast address
12031::/282031:f:ffff:ffff:ffff:ffff:ffff:ffff
22031:10::/282031:1f:ffff:ffff:ffff:ffff:ffff:ffff
32031:20::/282031:2f:ffff:ffff:ffff:ffff:ffff:ffff
42031:30::/282031:3f:ffff:ffff:ffff:ffff:ffff:ffff
52031:40::/282031:4f:ffff:ffff:ffff:ffff:ffff:ffff
62031:50::/282031:5f:ffff:ffff:ffff:ffff:ffff:ffff
72031:60::/282031:6f:ffff:ffff:ffff:ffff:ffff:ffff
82031:70::/282031:7f:ffff:ffff:ffff:ffff:ffff:ffff
92031:80::/282031:8f:ffff:ffff:ffff:ffff:ffff:ffff
102031:90::/282031:9f:ffff:ffff:ffff:ffff:ffff:ffff
112031:a0::/282031:af:ffff:ffff:ffff:ffff:ffff:ffff
122031:b0::/282031:bf:ffff:ffff:ffff:ffff:ffff:ffff
132031:c0::/282031:cf:ffff:ffff:ffff:ffff:ffff:ffff
142031:d0::/282031:df:ffff:ffff:ffff:ffff:ffff:ffff
152031:e0::/282031:ef:ffff:ffff:ffff:ffff:ffff:ffff
162031:f0::/282031:ff:ffff:ffff:ffff:ffff:ffff:ffff
172031:100::/282031:10f:ffff:ffff:ffff:ffff:ffff:ffff
182031:110::/282031:11f:ffff:ffff:ffff:ffff:ffff:ffff
192031:120::/282031:12f:ffff:ffff:ffff:ffff:ffff:ffff
202031:130::/282031:13f:ffff:ffff:ffff:ffff:ffff:ffff
212031:140::/282031:14f:ffff:ffff:ffff:ffff:ffff:ffff
222031:150::/282031:15f:ffff:ffff:ffff:ffff:ffff:ffff
232031:160::/282031:16f:ffff:ffff:ffff:ffff:ffff:ffff
242031:170::/282031:17f:ffff:ffff:ffff:ffff:ffff:ffff
252031:180::/282031:18f:ffff:ffff:ffff:ffff:ffff:ffff
262031:190::/282031:19f:ffff:ffff:ffff:ffff:ffff:ffff
272031:1a0::/282031:1af:ffff:ffff:ffff:ffff:ffff:ffff
282031:1b0::/282031:1bf:ffff:ffff:ffff:ffff:ffff:ffff
292031:1c0::/282031:1cf:ffff:ffff:ffff:ffff:ffff:ffff
302031:1d0::/282031:1df:ffff:ffff:ffff:ffff:ffff:ffff
312031:1e0::/282031:1ef:ffff:ffff:ffff:ffff:ffff:ffff
322031:1f0::/282031:1ff:ffff:ffff:ffff:ffff:ffff:ffff
332031:200::/282031:20f:ffff:ffff:ffff:ffff:ffff:ffff
342031:210::/282031:21f:ffff:ffff:ffff:ffff:ffff:ffff
352031:220::/282031:22f:ffff:ffff:ffff:ffff:ffff:ffff
362031:230::/282031:23f:ffff:ffff:ffff:ffff:ffff:ffff
372031:240::/282031:24f:ffff:ffff:ffff:ffff:ffff:ffff
382031:250::/282031:25f:ffff:ffff:ffff:ffff:ffff:ffff
392031:260::/282031:26f:ffff:ffff:ffff:ffff:ffff:ffff
402031:270::/282031:27f:ffff:ffff:ffff:ffff:ffff:ffff
412031:280::/282031:28f:ffff:ffff:ffff:ffff:ffff:ffff
422031:290::/282031:29f:ffff:ffff:ffff:ffff:ffff:ffff
432031:2a0::/282031:2af:ffff:ffff:ffff:ffff:ffff:ffff
442031:2b0::/282031:2bf:ffff:ffff:ffff:ffff:ffff:ffff
452031:2c0::/282031:2cf:ffff:ffff:ffff:ffff:ffff:ffff
462031:2d0::/282031:2df:ffff:ffff:ffff:ffff:ffff:ffff
472031:2e0::/282031:2ef:ffff:ffff:ffff:ffff:ffff:ffff
482031:2f0::/282031:2ff:ffff:ffff:ffff:ffff:ffff:ffff
492031:300::/282031:30f:ffff:ffff:ffff:ffff:ffff:ffff
502031:310::/282031:31f:ffff:ffff:ffff:ffff:ffff:ffff
512031:320::/282031:32f:ffff:ffff:ffff:ffff:ffff:ffff
522031:330::/282031:33f:ffff:ffff:ffff:ffff:ffff:ffff
532031:340::/282031:34f:ffff:ffff:ffff:ffff:ffff:ffff
542031:350::/282031:35f:ffff:ffff:ffff:ffff:ffff:ffff
552031:360::/282031:36f:ffff:ffff:ffff:ffff:ffff:ffff
562031:370::/282031:37f:ffff:ffff:ffff:ffff:ffff:ffff
572031:380::/282031:38f:ffff:ffff:ffff:ffff:ffff:ffff
582031:390::/282031:39f:ffff:ffff:ffff:ffff:ffff:ffff
592031:3a0::/282031:3af:ffff:ffff:ffff:ffff:ffff:ffff
602031:3b0::/282031:3bf:ffff:ffff:ffff:ffff:ffff:ffff
612031:3c0::/282031:3cf:ffff:ffff:ffff:ffff:ffff:ffff
622031:3d0::/282031:3df:ffff:ffff:ffff:ffff:ffff:ffff
632031:3e0::/282031:3ef:ffff:ffff:ffff:ffff:ffff:ffff
642031:3f0::/282031:3ff:ffff:ffff:ffff:ffff:ffff:ffff
652031:400::/282031:40f:ffff:ffff:ffff:ffff:ffff:ffff
662031:410::/282031:41f:ffff:ffff:ffff:ffff:ffff:ffff
672031:420::/282031:42f:ffff:ffff:ffff:ffff:ffff:ffff
682031:430::/282031:43f:ffff:ffff:ffff:ffff:ffff:ffff
692031:440::/282031:44f:ffff:ffff:ffff:ffff:ffff:ffff
702031:450::/282031:45f:ffff:ffff:ffff:ffff:ffff:ffff
712031:460::/282031:46f:ffff:ffff:ffff:ffff:ffff:ffff
722031:470::/282031:47f:ffff:ffff:ffff:ffff:ffff:ffff
732031:480::/282031:48f:ffff:ffff:ffff:ffff:ffff:ffff
742031:490::/282031:49f:ffff:ffff:ffff:ffff:ffff:ffff
752031:4a0::/282031:4af:ffff:ffff:ffff:ffff:ffff:ffff
762031:4b0::/282031:4bf:ffff:ffff:ffff:ffff:ffff:ffff
772031:4c0::/282031:4cf:ffff:ffff:ffff:ffff:ffff:ffff
782031:4d0::/282031:4df:ffff:ffff:ffff:ffff:ffff:ffff
792031:4e0::/282031:4ef:ffff:ffff:ffff:ffff:ffff:ffff
802031:4f0::/282031:4ff:ffff:ffff:ffff:ffff:ffff:ffff
812031:500::/282031:50f:ffff:ffff:ffff:ffff:ffff:ffff
822031:510::/282031:51f:ffff:ffff:ffff:ffff:ffff:ffff
832031:520::/282031:52f:ffff:ffff:ffff:ffff:ffff:ffff
842031:530::/282031:53f:ffff:ffff:ffff:ffff:ffff:ffff
852031:540::/282031:54f:ffff:ffff:ffff:ffff:ffff:ffff
862031:550::/282031:55f:ffff:ffff:ffff:ffff:ffff:ffff
872031:560::/282031:56f:ffff:ffff:ffff:ffff:ffff:ffff
882031:570::/282031:57f:ffff:ffff:ffff:ffff:ffff:ffff
892031:580::/282031:58f:ffff:ffff:ffff:ffff:ffff:ffff
902031:590::/282031:59f:ffff:ffff:ffff:ffff:ffff:ffff
912031:5a0::/282031:5af:ffff:ffff:ffff:ffff:ffff:ffff
922031:5b0::/282031:5bf:ffff:ffff:ffff:ffff:ffff:ffff
932031:5c0::/282031:5cf:ffff:ffff:ffff:ffff:ffff:ffff
942031:5d0::/282031:5df:ffff:ffff:ffff:ffff:ffff:ffff
952031:5e0::/282031:5ef:ffff:ffff:ffff:ffff:ffff:ffff
962031:5f0::/282031:5ff:ffff:ffff:ffff:ffff:ffff:ffff
972031:600::/282031:60f:ffff:ffff:ffff:ffff:ffff:ffff
982031:610::/282031:61f:ffff:ffff:ffff:ffff:ffff:ffff
992031:620::/282031:62f:ffff:ffff:ffff:ffff:ffff:ffff
1002031:630::/282031:63f:ffff:ffff:ffff:ffff:ffff:ffff
1012031:640::/282031:64f:ffff:ffff:ffff:ffff:ffff:ffff
1022031:650::/282031:65f:ffff:ffff:ffff:ffff:ffff:ffff
1032031:660::/282031:66f:ffff:ffff:ffff:ffff:ffff:ffff
1042031:670::/282031:67f:ffff:ffff:ffff:ffff:ffff:ffff
1052031:680::/282031:68f:ffff:ffff:ffff:ffff:ffff:ffff
1062031:690::/282031:69f:ffff:ffff:ffff:ffff:ffff:ffff
1072031:6a0::/282031:6af:ffff:ffff:ffff:ffff:ffff:ffff
1082031:6b0::/282031:6bf:ffff:ffff:ffff:ffff:ffff:ffff
1092031:6c0::/282031:6cf:ffff:ffff:ffff:ffff:ffff:ffff
1102031:6d0::/282031:6df:ffff:ffff:ffff:ffff:ffff:ffff
1112031:6e0::/282031:6ef:ffff:ffff:ffff:ffff:ffff:ffff
1122031:6f0::/282031:6ff:ffff:ffff:ffff:ffff:ffff:ffff
1132031:700::/282031:70f:ffff:ffff:ffff:ffff:ffff:ffff
1142031:710::/282031:71f:ffff:ffff:ffff:ffff:ffff:ffff
1152031:720::/282031:72f:ffff:ffff:ffff:ffff:ffff:ffff
1162031:730::/282031:73f:ffff:ffff:ffff:ffff:ffff:ffff
1172031:740::/282031:74f:ffff:ffff:ffff:ffff:ffff:ffff
1182031:750::/282031:75f:ffff:ffff:ffff:ffff:ffff:ffff
1192031:760::/282031:76f:ffff:ffff:ffff:ffff:ffff:ffff
1202031:770::/282031:77f:ffff:ffff:ffff:ffff:ffff:ffff
1212031:780::/282031:78f:ffff:ffff:ffff:ffff:ffff:ffff
1222031:790::/282031:79f:ffff:ffff:ffff:ffff:ffff:ffff
1232031:7a0::/282031:7af:ffff:ffff:ffff:ffff:ffff:ffff
1242031:7b0::/282031:7bf:ffff:ffff:ffff:ffff:ffff:ffff
1252031:7c0::/282031:7cf:ffff:ffff:ffff:ffff:ffff:ffff
1262031:7d0::/282031:7df:ffff:ffff:ffff:ffff:ffff:ffff
1272031:7e0::/282031:7ef:ffff:ffff:ffff:ffff:ffff:ffff
1282031:7f0::/282031:7ff:ffff:ffff:ffff:ffff:ffff:ffff
1292031:800::/282031:80f:ffff:ffff:ffff:ffff:ffff:ffff
1302031:810::/282031:81f:ffff:ffff:ffff:ffff:ffff:ffff
1312031:820::/282031:82f:ffff:ffff:ffff:ffff:ffff:ffff
1322031:830::/282031:83f:ffff:ffff:ffff:ffff:ffff:ffff
1332031:840::/282031:84f:ffff:ffff:ffff:ffff:ffff:ffff
1342031:850::/282031:85f:ffff:ffff:ffff:ffff:ffff:ffff
1352031:860::/282031:86f:ffff:ffff:ffff:ffff:ffff:ffff
1362031:870::/282031:87f:ffff:ffff:ffff:ffff:ffff:ffff
1372031:880::/282031:88f:ffff:ffff:ffff:ffff:ffff:ffff
1382031:890::/282031:89f:ffff:ffff:ffff:ffff:ffff:ffff
1392031:8a0::/282031:8af:ffff:ffff:ffff:ffff:ffff:ffff
1402031:8b0::/282031:8bf:ffff:ffff:ffff:ffff:ffff:ffff
1412031:8c0::/282031:8cf:ffff:ffff:ffff:ffff:ffff:ffff
1422031:8d0::/282031:8df:ffff:ffff:ffff:ffff:ffff:ffff
1432031:8e0::/282031:8ef:ffff:ffff:ffff:ffff:ffff:ffff
1442031:8f0::/282031:8ff:ffff:ffff:ffff:ffff:ffff:ffff
1452031:900::/282031:90f:ffff:ffff:ffff:ffff:ffff:ffff
1462031:910::/282031:91f:ffff:ffff:ffff:ffff:ffff:ffff
1472031:920::/282031:92f:ffff:ffff:ffff:ffff:ffff:ffff
1482031:930::/282031:93f:ffff:ffff:ffff:ffff:ffff:ffff
1492031:940::/282031:94f:ffff:ffff:ffff:ffff:ffff:ffff
1502031:950::/282031:95f:ffff:ffff:ffff:ffff:ffff:ffff
1512031:960::/282031:96f:ffff:ffff:ffff:ffff:ffff:ffff
1522031:970::/282031:97f:ffff:ffff:ffff:ffff:ffff:ffff
1532031:980::/282031:98f:ffff:ffff:ffff:ffff:ffff:ffff
1542031:990::/282031:99f:ffff:ffff:ffff:ffff:ffff:ffff
1552031:9a0::/282031:9af:ffff:ffff:ffff:ffff:ffff:ffff
1562031:9b0::/282031:9bf:ffff:ffff:ffff:ffff:ffff:ffff
1572031:9c0::/282031:9cf:ffff:ffff:ffff:ffff:ffff:ffff
1582031:9d0::/282031:9df:ffff:ffff:ffff:ffff:ffff:ffff
1592031:9e0::/282031:9ef:ffff:ffff:ffff:ffff:ffff:ffff
1602031:9f0::/282031:9ff:ffff:ffff:ffff:ffff:ffff:ffff
1612031:a00::/282031:a0f:ffff:ffff:ffff:ffff:ffff:ffff
1622031:a10::/282031:a1f:ffff:ffff:ffff:ffff:ffff:ffff
1632031:a20::/282031:a2f:ffff:ffff:ffff:ffff:ffff:ffff
1642031:a30::/282031:a3f:ffff:ffff:ffff:ffff:ffff:ffff
1652031:a40::/282031:a4f:ffff:ffff:ffff:ffff:ffff:ffff
1662031:a50::/282031:a5f:ffff:ffff:ffff:ffff:ffff:ffff
1672031:a60::/282031:a6f:ffff:ffff:ffff:ffff:ffff:ffff
1682031:a70::/282031:a7f:ffff:ffff:ffff:ffff:ffff:ffff
1692031:a80::/282031:a8f:ffff:ffff:ffff:ffff:ffff:ffff
1702031:a90::/282031:a9f:ffff:ffff:ffff:ffff:ffff:ffff
1712031:aa0::/282031:aaf:ffff:ffff:ffff:ffff:ffff:ffff
1722031:ab0::/282031:abf:ffff:ffff:ffff:ffff:ffff:ffff
1732031:ac0::/282031:acf:ffff:ffff:ffff:ffff:ffff:ffff
1742031:ad0::/282031:adf:ffff:ffff:ffff:ffff:ffff:ffff
1752031:ae0::/282031:aef:ffff:ffff:ffff:ffff:ffff:ffff
1762031:af0::/282031:aff:ffff:ffff:ffff:ffff:ffff:ffff
1772031:b00::/282031:b0f:ffff:ffff:ffff:ffff:ffff:ffff
1782031:b10::/282031:b1f:ffff:ffff:ffff:ffff:ffff:ffff
1792031:b20::/282031:b2f:ffff:ffff:ffff:ffff:ffff:ffff
1802031:b30::/282031:b3f:ffff:ffff:ffff:ffff:ffff:ffff
1812031:b40::/282031:b4f:ffff:ffff:ffff:ffff:ffff:ffff
1822031:b50::/282031:b5f:ffff:ffff:ffff:ffff:ffff:ffff
1832031:b60::/282031:b6f:ffff:ffff:ffff:ffff:ffff:ffff
1842031:b70::/282031:b7f:ffff:ffff:ffff:ffff:ffff:ffff
1852031:b80::/282031:b8f:ffff:ffff:ffff:ffff:ffff:ffff
1862031:b90::/282031:b9f:ffff:ffff:ffff:ffff:ffff:ffff
1872031:ba0::/282031:baf:ffff:ffff:ffff:ffff:ffff:ffff
1882031:bb0::/282031:bbf:ffff:ffff:ffff:ffff:ffff:ffff
1892031:bc0::/282031:bcf:ffff:ffff:ffff:ffff:ffff:ffff
1902031:bd0::/282031:bdf:ffff:ffff:ffff:ffff:ffff:ffff
1912031:be0::/282031:bef:ffff:ffff:ffff:ffff:ffff:ffff
1922031:bf0::/282031:bff:ffff:ffff:ffff:ffff:ffff:ffff
1932031:c00::/282031:c0f:ffff:ffff:ffff:ffff:ffff:ffff
1942031:c10::/282031:c1f:ffff:ffff:ffff:ffff:ffff:ffff
1952031:c20::/282031:c2f:ffff:ffff:ffff:ffff:ffff:ffff
1962031:c30::/282031:c3f:ffff:ffff:ffff:ffff:ffff:ffff
1972031:c40::/282031:c4f:ffff:ffff:ffff:ffff:ffff:ffff
1982031:c50::/282031:c5f:ffff:ffff:ffff:ffff:ffff:ffff
1992031:c60::/282031:c6f:ffff:ffff:ffff:ffff:ffff:ffff
2002031:c70::/282031:c7f:ffff:ffff:ffff:ffff:ffff:ffff
2012031:c80::/282031:c8f:ffff:ffff:ffff:ffff:ffff:ffff
2022031:c90::/282031:c9f:ffff:ffff:ffff:ffff:ffff:ffff
2032031:ca0::/282031:caf:ffff:ffff:ffff:ffff:ffff:ffff
2042031:cb0::/282031:cbf:ffff:ffff:ffff:ffff:ffff:ffff
2052031:cc0::/282031:ccf:ffff:ffff:ffff:ffff:ffff:ffff
2062031:cd0::/282031:cdf:ffff:ffff:ffff:ffff:ffff:ffff
2072031:ce0::/282031:cef:ffff:ffff:ffff:ffff:ffff:ffff
2082031:cf0::/282031:cff:ffff:ffff:ffff:ffff:ffff:ffff
2092031:d00::/282031:d0f:ffff:ffff:ffff:ffff:ffff:ffff
2102031:d10::/282031:d1f:ffff:ffff:ffff:ffff:ffff:ffff
2112031:d20::/282031:d2f:ffff:ffff:ffff:ffff:ffff:ffff
2122031:d30::/282031:d3f:ffff:ffff:ffff:ffff:ffff:ffff
2132031:d40::/282031:d4f:ffff:ffff:ffff:ffff:ffff:ffff
2142031:d50::/282031:d5f:ffff:ffff:ffff:ffff:ffff:ffff
2152031:d60::/282031:d6f:ffff:ffff:ffff:ffff:ffff:ffff
2162031:d70::/282031:d7f:ffff:ffff:ffff:ffff:ffff:ffff
2172031:d80::/282031:d8f:ffff:ffff:ffff:ffff:ffff:ffff
2182031:d90::/282031:d9f:ffff:ffff:ffff:ffff:ffff:ffff
2192031:da0::/282031:daf:ffff:ffff:ffff:ffff:ffff:ffff
2202031:db0::/282031:dbf:ffff:ffff:ffff:ffff:ffff:ffff
2212031:dc0::/282031:dcf:ffff:ffff:ffff:ffff:ffff:ffff
2222031:dd0::/282031:ddf:ffff:ffff:ffff:ffff:ffff:ffff
2232031:de0::/282031:def:ffff:ffff:ffff:ffff:ffff:ffff
2242031:df0::/282031:dff:ffff:ffff:ffff:ffff:ffff:ffff
2252031:e00::/282031:e0f:ffff:ffff:ffff:ffff:ffff:ffff
2262031:e10::/282031:e1f:ffff:ffff:ffff:ffff:ffff:ffff
2272031:e20::/282031:e2f:ffff:ffff:ffff:ffff:ffff:ffff
2282031:e30::/282031:e3f:ffff:ffff:ffff:ffff:ffff:ffff
2292031:e40::/282031:e4f:ffff:ffff:ffff:ffff:ffff:ffff
2302031:e50::/282031:e5f:ffff:ffff:ffff:ffff:ffff:ffff
2312031:e60::/282031:e6f:ffff:ffff:ffff:ffff:ffff:ffff
2322031:e70::/282031:e7f:ffff:ffff:ffff:ffff:ffff:ffff
2332031:e80::/282031:e8f:ffff:ffff:ffff:ffff:ffff:ffff
2342031:e90::/282031:e9f:ffff:ffff:ffff:ffff:ffff:ffff
2352031:ea0::/282031:eaf:ffff:ffff:ffff:ffff:ffff:ffff
2362031:eb0::/282031:ebf:ffff:ffff:ffff:ffff:ffff:ffff
2372031:ec0::/282031:ecf:ffff:ffff:ffff:ffff:ffff:ffff
2382031:ed0::/282031:edf:ffff:ffff:ffff:ffff:ffff:ffff
2392031:ee0::/282031:eef:ffff:ffff:ffff:ffff:ffff:ffff
2402031:ef0::/282031:eff:ffff:ffff:ffff:ffff:ffff:ffff
2412031:f00::/282031:f0f:ffff:ffff:ffff:ffff:ffff:ffff
2422031:f10::/282031:f1f:ffff:ffff:ffff:ffff:ffff:ffff
2432031:f20::/282031:f2f:ffff:ffff:ffff:ffff:ffff:ffff
2442031:f30::/282031:f3f:ffff:ffff:ffff:ffff:ffff:ffff
2452031:f40::/282031:f4f:ffff:ffff:ffff:ffff:ffff:ffff
2462031:f50::/282031:f5f:ffff:ffff:ffff:ffff:ffff:ffff
2472031:f60::/282031:f6f:ffff:ffff:ffff:ffff:ffff:ffff
2482031:f70::/282031:f7f:ffff:ffff:ffff:ffff:ffff:ffff
2492031:f80::/282031:f8f:ffff:ffff:ffff:ffff:ffff:ffff
2502031:f90::/282031:f9f:ffff:ffff:ffff:ffff:ffff:ffff
2512031:fa0::/282031:faf:ffff:ffff:ffff:ffff:ffff:ffff
2522031:fb0::/282031:fbf:ffff:ffff:ffff:ffff:ffff:ffff
2532031:fc0::/282031:fcf:ffff:ffff:ffff:ffff:ffff:ffff
2542031:fd0::/282031:fdf:ffff:ffff:ffff:ffff:ffff:ffff
2552031:fe0::/282031:fef:ffff:ffff:ffff:ffff:ffff:ffff
2562031:ff0::/282031:fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses